Retrieve Jira Ticket Info by Node Id

Use this endpoint if you want to retrieve JIRA ticket information but you only have the node ID. You will retrieve the nodeId, jiraId, key, issueType, displayUrl and status of the JIRA ticket.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/services/v2/jira/node/[node-id]/ticket.json

🚧

Permissions & Notes:

Make sure you have read the JIRA Integration Documentation in the Get Started, Integrations and Plugins Section before trying out the endpoint. There are specific steps and permissions needed to be able to see results from the endpoints in your AnswerHub instance.

Sample Request

The nodeId is the AnswerHub question node representation.

A GET Retrieve JIRA Ticket Info by Node Id request for a node ID (872) tied to a JIRA ticket sent to https://apidocs.cloud.answerhub.com using a human-readable Username/Password (answerhub/test123) would look like this:

curl 
-u answerhub:test123 
-H "Accept: application/json" 
-H "Content-type: application/json" 
-X GET "https://apidocs.cloud.answerhub.com/services/v2/jira/node/872/ticket.json"

Expected Response: HTTP 200 - OK

{
    "nodeId": "872",
    "jiraId": "69314",
    "key": "DOC-62",
    "issueType": "Bug",
    "displayUrl": "https://yourcompanynamehere.atlassian.net/browse/DOC-62",
    "status": "SUBMITTED"
}
Path Params
int32
required
Defaults to 872

required field

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json